angular.module('starter.controllers', ['ionic','admobModule'])

.constant('APP_CONFIG', {
		port: 80,
        serverUrl:" http://www.saywx.com/api/zc"
})

.controller('DashCtrl', function($scope,$rootScope,$location,$ionicPlatform,$window,$state,$sce){
	  if ($location.path() != '/dash') {
        $ionicNavBarDelegate.showBackButton(true);
      }
	
	$scope.open = function (key) {
		switch(key){
			case '2':
				$state.go("chats",{cat:'2'});
				break;
			case '4':
				$state.go("chats",{cat:'4'});
				break;
			case '6':
				$state.go("chats",{cat:'6'});
				break;
			case '0':
				$state.go("chats",{cat:'0'});
				break;
			case '1':
				$state.go("chats",{cat:'1'});
				break;
			case 'home':
				$state.go("chats",{cat:'home'});
				break;
		}
	};
})

.controller('ChatsCtrl', function($scope,$state,$sce,$http,$stateParams,APP_CONFIG) {
	var category = '0';
	var stitle = '';
	switch($stateParams.cat){
		case '2':
			category = '7';
			console.log('asd-----------------');
			stitle = "0~2岁儿童食谱";
			break;
		case '4':
			category = '8';
			stitle = "3~4岁儿童食谱";
			break;
		case '6':
			category = '9';
			stitle = "5~6岁儿童食谱";
			break;
		case '0':
			category = '2';
			stitle = "怀孕期食谱";
			break
		case '1':
			category = '5';
			stitle = "月子餐";
			break
		case 'home':
			category = '14';
			stitle = "家庭聚会餐谱";
			break
	}
	$scope.title = stitle;
	$http({
           method:"GET",
           url:APP_CONFIG.serverUrl+"/get_category_posts/?id="+category,
		   dataType: 'JSONP',
         }).success(
           function(response) {
			console.log(response['posts']);
			if (response['status']=='ok'){
				$scope.lists = response['posts'];
			}else{
				alert("请链接网络,重试");
			}
           }
         ).error(function(er) {
           console.log(er);
         });
	$scope.pageopen = function(url){
		$state.go("chat-detail",{chatId:url});
	}
	$scope.mygoBack = function(){
	  window.history.back();
}
})

.controller('ChatDetailCtrl', function($scope, $stateParams,$http,$sce,$ionicLoading) {
   $scope.loadingStatus = true;
	var doman= new Array();
	doman = $stateParams.chatId;
	$http({
           method:"GET",
           url:doman,
		   dataType: 'JSONP',
         }).success(
           function(response) {
			console.log(response);
			if (response['status']=='ok'){
				$scope.loadingStatus = false;
				$scope.lists = response['post'];
			}else{
				alert("请链接网络,重试");
			}
           }
         ).error(function(er) {
           console.log(er);
         });

$scope.mygoBack = function(){
	  window.history.back();
}
})

.controller('AccountCtrl',
function ($scope, $stateParams,$http,$ionicLoading,$cordovaDevice) {

$scope.saveFeedback = function(){
	var now = Date.now();
	var appKey = SHA1("A6993339949437"+"UZ"+"0A11F8AD-DA11-B777-AF82-6413869C8F13"+"UZ"+now)+"."+now;
	
$.ajax({
  "url": "https://d.apicloud.com/mcm/api/feedback",
  "cache": false,
  "headers": {
    "X-APICloud-AppId": "A6993339949437",
    "X-APICloud-AppKey": appKey
  },
  "data": {
    "uuid": localStorage.getItem("platform"),
    "content": $scope.feedback+' from WordMaster'
  },
  "type": "POST"
}).done(function (data, status, header) {
  //success body
  $ionicLoading.show({ template: '保存成功!', noBackdrop: true, duration: 2000 });
}).fail(function (header, status, errorThrown) {
  //fail body
  $ionicLoading.show({ template: '保存成功!', noBackdrop: true, duration: 2000 });
})
};
})

.controller('menuCtrl', 
function ($scope, $stateParams,$state,$ionicSideMenuDelegate) {
	$scope.opensite = function(item){
	switch(item){
		case 'bt':
		$state.go("website",{siteId:'bt'});
		$ionicSideMenuDelegate.toggleLeft();
		break;
		case 'app':
		$state.go("website",{siteId:'app'});
		$ionicSideMenuDelegate.toggleLeft();
		break;
		case 'book':
		$state.go("website",{siteId:'book'});
		$ionicSideMenuDelegate.toggleLeft();
		break;
	}	
}
})

.controller('websiteCtl', 
function ($scope, $stateParams, $cordovaInAppBrowser,$timeout,$rootScope,$sce,$ionicSideMenuDelegate,$state) {
	$scope.loadingStatus = true;
	 $timeout(function () {
		switch($stateParams.siteId){	
		case 'bt':
			$scope.name = "BT磁力搜索";
			$scope.url = $sce.trustAsResourceUrl("http://pan.wangfz.com/?app=search&platform=android");
			break;
		case 'app':
			$scope.name = "搜索";
			$scope.url = $sce.trustAsResourceUrl("http://shouji.baidu.com/software/10277460.html");
			break;
		case 'book':
			$scope.name = "电子书";
			$scope.url = $sce.trustAsResourceUrl("http://www.wangfz.com/booktools?app=search&platform=android");
			break;
		}
	$scope.loadingStatus = false;
  }, 3000); 

$scope.mygoBack = function(){
	window.history.back();
}
});
